---
title: Create a Release
description: This endpoint allows you to create a new release.
url: https://storyblok.com/docs/api/management/releases/create-a-release
---

# Create a Release

This endpoint allows you to create a new release.

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/releases
```

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Request body properties

-   `release` (The Release Object)
    
    The [Release Object](/docs/api/management#releases/object)
    

## Response properties

-   `release` (The Release Object)
    
    The [Release Object](/docs/api/management#releases/object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/releases/" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"release\":{\"branches_to_deploy\":[123,456],\"name\":\"Summer Special\",\"release_at\":\"2025-01-01 01:01\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/releases/', {
        "release": {
          "branches_to_deploy": [
            123,
            456
          ],
          "name": "Summer Special",
          "release_at": "2025-01-01 01:01"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["release" => ["branches_to_deploy" => [123,456],"name" => "Summer Special","release_at" => "2025-01-01 01 => 01"]];
    
    $client->post('spaces/288868932106293/releases/', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/releases/")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"release":{"branches_to_deploy":[123,456],"name":"Summer Special","release_at":"2025-01-01 01:01"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/releases/");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"release\":{\"branches_to_deploy\":[123,456],\"name\":\"Summer Special\",\"release_at\":\"2025-01-01 01:01\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/releases/"
    
    querystring = {}
    
    payload = {"release":{"branches_to_deploy":[123,456],"name":"Summer Special","release_at":"2025-01-01 01:01"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"release" => {"branches_to_deploy" => [123,456],"name" => "Summer Special","release_at" => "2025-01-01 01 => 01"}}
    
    client.post('spaces/288868932106293/releases/', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/releases/")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "release": [
            "branches_to_deploy": [
                123,
                456,
            ],
            "name": "Summer Special",
            "release_at": "2025-01-01 01:01",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/releases/") {
        setBody(buildJsonObject {
            putJsonObject("release") {
                putJsonArray("branches_to_deploy") {
                    add(123)
                    add(456)
                }
                put("name", "Summer Special")
                put("release_at", "2025-01-01 01:01")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Check Conflict in Release](/docs/api/management/releases/check-conflict-in-release)
-   [Next: Delete a Release](/docs/api/management/releases/delete-a-release)
